%define _requires_exceptions pear(*

Name:           galette
Version:        0.7.3.2
Release:        %mkrel 3
Summary:        Online tool to manage membership and fees

Group:          Networking/Other 
License:        GPLv3+
URL:            http://galette.tuxfamily.org
Source0:        http://download.tuxfamily.org/%{name}/%{name}-%{version}.tar.bz2

# The next requirement is needed but it doesn't build on mga
# the workaround is to use pear install phpDocumentor
#BuildRequires:  php-pear-phpDocumentor
Requires:       php >= 5.3.0
Requires:       php-ZendFramework
Requires:       php-phpmailer
Requires:       php-smarty
Requires:       php-gd
Requires:       php-gettext
Requires:       php-tidy
Requires:       apache-mod_php
Requires(postun): rpm-helper
Requires(post):   rpm-helper
BuildArch:      noarch

%description
Galette is an online tool to manage membership and fees dedicated to non
profit organizations. It mainly allows executive members to know which
fees will soon reach their due dates. Beside that, each member can have
it's own credential to review (or change) it's personal information.
On the technical side, all you need is a web server supporting
PHP and a database (MySQL or PostgreSQL)

%prep
%setup -q -n %{name}-%{version}/%{name}


%build

%install
rm -rf %{buildroot}

install -d -m 755 %{buildroot}%{_datadir}/%{name}
cp -p *.php %{buildroot}%{_datadir}/%{name}
cp -pr docs %{buildroot}%{_datadir}/%{name}
cp -pr includes %{buildroot}%{_datadir}/%{name}
cp -pr install %{buildroot}%{_datadir}/%{name}
cp -pr lang %{buildroot}%{_datadir}/%{name}
cp -pr lib %{buildroot}%{_datadir}/%{name}
cp -pr plugins %{buildroot}%{_datadir}/%{name}
cp -pr public %{buildroot}%{_datadir}/%{name}
cp -pr templates %{buildroot}%{_datadir}/%{name}

install -d -m 755 %{buildroot}%{_localstatedir}/lib/%{name}
cp -pr cache %{buildroot}%{_localstatedir}/lib/%{name}
cp -pr exports %{buildroot}%{_localstatedir}/lib/%{name}
cp -pr logs %{buildroot}%{_localstatedir}/lib/%{name}
cp -pr photos %{buildroot}%{_localstatedir}/lib/%{name}
cp -pr templates_c %{buildroot}%{_localstatedir}/lib/%{name}
cp -pr tempimages %{buildroot}%{_localstatedir}/lib/%{name}

install -d -m 755 %{buildroot}%{_sysconfdir}
cp -pr config %{buildroot}%{_sysconfdir}/%{name}

pushd %{buildroot}%{_datadir}/%{name}
ln -s ../../..%{_sysconfdir}/%{name} config
ln -s ../../..%{_localstatedir}/lib/%{name}/cache cache
ln -s ../../..%{_localstatedir}/lib/%{name}/exports exports
ln -s ../../..%{_localstatedir}/lib/%{name}/logs logs
ln -s ../../..%{_localstatedir}/lib/%{name}/photos photos
ln -s ../../..%{_localstatedir}/lib/%{name}/templates_c templates_c
ln -s ../../..%{_localstatedir}/lib/%{name}/tempimages tempimages


popd

# prefer system libraries when available
rm -rf %{buildroot}%{_datadir}/%{name}/includes/Smarty-*
rm -rf %{buildroot}%{_datadir}/%{name}/includes/phpMailer-*
rm -rf %{buildroot}%{_datadir}/%{name}/includes/Zend-*

# .htaccess files are included in galette-httpd.conf
rm -f %{buildroot}%{_localstatedir}/%{name}/photos/.htaccess
rm -f %{buildroot}%{_localstatedir}/%{name}/exports/.htaccess

# cleanup
rm -f %{buildroot}%{_localstatedir}/%{name}/cache/readme.txt
rm -f %{buildroot}%{_sysconfdir}/%{name}/config.inc.php.dist

cat >  %{buildroot}%{_sysconfdir}/%{name}/local_paths.inc.php <<EOF
<?php
define('GALETTE_ZEND_PATH', '/usr/share/php/');
define('GALETTE_PHP_MAILER_PATH', '/usr/share/php/PHPMailer/');
define('GALETTE_SMARTY_PATH', '/usr/share/php/Smarty/');
EOF

sed -i -e "s|disable_gettext=true|disable_gettext=false|" \
    %{buildroot}%{_datadir}/%{name}/includes/i18n.inc.php

mkdir -p %{buildroot}%{_sysconfdir}/httpd/conf/sites.d
cat >  %{buildroot}%{_sysconfdir}/httpd/conf/sites.d/%{name}.conf <<EOF
# %{name} configuration
Alias /%name %{_datadir}/%{name}

<Directory %{_datadir}/%{name}>
    Require all granted
    Options FollowSymLinks
</Directory>

<Directory %{_datadir}/%{name}/photos>
    Require all denied
</Directory>

<Directory %{_datadir}/%{name}/exports>
    Require all denied
</Directory>

EOF

%files
%{_datadir}/%{name}
%attr(-,apache,apache) %{_localstatedir}/lib/%{name}
%dir %attr(-,apache,apache) %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/exports.xml
%config(noreplace) %{_sysconfdir}/%{name}/galette_tcpdf_config.php
%config(noreplace) %{_sysconfdir}/%{name}/paths.inc.php
%config(noreplace) %{_sysconfdir}/%{name}/versions.inc.php
%config(noreplace) %{_sysconfdir}/%{name}/local_paths.inc.php
%config(noreplace) %{_sysconfdir}/httpd/conf/sites.d/%{name}.conf


%changelog

* Mon Feb 18 2013 guillomovitch <guillomovitch> 0.7.3.2-3.mga3
+ Revision: 399215
- fix phpmailer path with latest release

* Mon Feb 11 2013 guillomovitch <guillomovitch> 0.7.3.2-2.mga3
+ Revision: 397904
- achieve FHS setup, with variables files under /var/lib/galette
- apache user needs write access to variables files only
- fix missing dependencies on mod_php and smarty
- fix system libraries include pathes

* Sun Feb 03 2013 neoclust <neoclust> 0.7.3.2-1.mga3
+ Revision: 394197
- imported package galette

